Change a goal
PATCH
Only the fields given change. status "done" needs evidence (given here or already on the goal).
sessioncookie
better-auth.session_token<token>Set by POST /api/auth/sign-in/email.
ws*stringThe workspace id (from GET /api/me).
id*stringThe id of what the path names: a hire, a connection, a skill, a shared file, a department, a position, a goal or an approval.
application/json- body
title?stringLength
1 <= length <= 200measure?stringLength
length <= 200Default
""target?stringLength
length <= 200Default
""current?stringLength
length <= 200Default
""dueOn?|Default
nullstatus?stringDefault
"active"Value in
"proposed""active""done""dropped"evidence?stringLength
length <= 2000Default
""note?stringLength
length <= 2000Default
""The goal.
curl -X PATCH 'https://app.useroster.work/api/workspaces/string/goals/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
Empty